org.apache.cassandra.cql3.statements

## Class CQL3CasConditions

- java.lang.Object
- - org.apache.cassandra.cql3.statements.CQL3CasConditions

All Implemented Interfaces:
  CASConditions

    public class CQL3CasConditions
    extends java.lang.Object
    implements CASConditions

Processed CAS conditions on potentially multiple rows of the same partition.

### Constructor Summary

Constructors
Constructor and Description
`CQL3CasConditions(CFMetaData cfm, long now)`

### Method Summary

Methods
`void` `addConditions(ColumnNameBuilder prefix, java.util.Collection<ColumnCondition> conds, java.util.List<java.nio.ByteBuffer> variables)`
`void` `addNotExist(ColumnNameBuilder prefix)`
`boolean` `appliesTo(ColumnFamily current)` Returns whether the provided CF, that represents the values fetched using the readFilter(), match the CAS conditions this object stands for.
`IDiskAtomFilter` `readFilter()` The filter to use to fetch the value to compare for the CAS.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CQL3CasConditions

    public CQL3CasConditions(CFMetaData cfm,
                     long now)

### Method Detail

#### addNotExist

    public void addNotExist(ColumnNameBuilder prefix)
                     throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### addConditions

    public void addConditions(ColumnNameBuilder prefix,
                     java.util.Collection<ColumnCondition> conds,
                     java.util.List<java.nio.ByteBuffer> variables)
                       throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### readFilter

    public IDiskAtomFilter readFilter()

Description copied from interface: `CASConditions`
The filter to use to fetch the value to compare for the CAS.

Specified by:
  `readFilter` in interface `CASConditions`

#### appliesTo

    public boolean appliesTo(ColumnFamily current)
                      throws InvalidRequestException

Description copied from interface: `CASConditions`
Returns whether the provided CF, that represents the values fetched using the readFilter(), match the CAS conditions this object stands for.

Specified by:
  `appliesTo` in interface `CASConditions`
Throws:
  `InvalidRequestException`